wood burning stoves 2.0*
The moose likes Servlets and the fly likes which java should i use Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Murach's Java Servlets and JSP this week in the Servlets forum!
JavaRanch » Java Forums » Java » Servlets
Bookmark "which java should i use" Watch "which java should i use" New topic
Author

which java should i use

Amit Sharma
Ranch Hand

Joined: Nov 22, 2005
Posts: 87
hi everyone i am new to servlet and passed scjp 1.4 i am following HFSJ book but when i compiled a servlet then compiler says javax, javax.http and many more packages are not available. i have JDK 1.4 so plz let me know or give me a link which have all packages supported for servlets and jsp.


Amit Sharma SCJP 1.4, SCWCD 5, OCUP-100(UML)
Pradeep bhatt
Ranch Hand

Joined: Feb 27, 2002
Posts: 8903

The servlet API is not part of Java SDK. Download Tomcat.


Groovy
Adeel Ansari
Ranch Hand

Joined: Aug 15, 2004
Posts: 2874
Which application server are you using?

Actually many of the J2EE specific libraries comes with the application server . You just need to place those in your classpath in order to compile your servlet. You can also download the J2EE libraries from sun site.

In your case you would definitely need servlet-api.jar or more to get your servlet compiled.

Thanks.
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: which java should i use
 
Similar Threads
ServletContext access doubt
only servlet questions
servlet basics
write a servlet class in Eclipse IDE
Error importing class